Can't update Statamic 3 site

I've been able to deploy my localhost Statamic 3 to HostGator. The thing is now that I can't update the site. When I try to update it from the control panel, I see this in the console:

Status: 500 Internal Server Error
Cache-Control: no-cache, private
Date: Fri, 30 Oct 2020 04:29:59 GMT
Content-Type: application/json
Set-Cookie: XSRF-TOKEN=eyJpdiI6IjNvdzFkWUZtNlZmZjVhOUw5amZTY2c9PSIsInZhbHVlIjoiVUk0dzV0TWJ1cUIvVkE2OFAyZW15VnRKZ3ZIK2tLalZqYTd6UlN3NzFvQW9ycnNTT2ZJV093Rk95eU42cTBwQnNVQS9kWXZ3UzFqcHVLWmdkdnFRQnZRSzBzOU1zdS9mNUh0Y1dpMWxzcloySGgzMFZMSzlqQVRsZWVtSE5VUVMiLCJtYWMiOiI4MWFjZjdlYmQ2MjYxZjE3Zjg1NDE5M2FmM2RkNGY5YmQzZjAxOGFjMzM2OWI4MDVkYzdjNjgzYjRmZTZlZTcwIn0%3D; expires=Fri, 30-Oct-2020 06:29:59 GMT; Max-Age=7200; path=/; samesite=lax
Set-Cookie: statamic_session=eyJpdiI6IlBIbVRnVHJLYWdpa0dXeG5Tb0pKSHc9PSIsInZhbHVlIjoiUjh3OWU2Q3lqcTNpc09uaG1UNTUrQ3NScjJoOGI0MHU2b0tJTXQyLzh5MmZaMDJmb1hsTU5vOWFYRmlQMjIzK0FPZVdaUk9rQkRBZ09IdVNIWElTaW5wNUJ6L1IvWHFldXBnaHpNU1ZWYTNXNUFlQUN2b0hMazhyMkdZZXYyeC8iLCJtYWMiOiI3ODQyOTc0NDQ2ZTFmMWRiZTRlYzRkNjk4M2FiZTAzNGUzMjViM2M0ZDU1MGUyYzA0NTlkYTIwYmQ3NTNmZmUwIn0%3D; expires=Fri, 30-Oct-2020 06:29:59 GMT; Max-Age=7200; path=/; httponly; samesite=lax

{
    "message": "Argument 1 passed to Statamic\\Updater\\Updater::install() must be of the type string, null given, called in /home1/MySite/public_html/vendor/statamic/cms/src/Http/Controllers/CP/Updater/UpdateProductController.php on line 70",
    "exception": "TypeError",
    "file": "/home1/MySite/public_html/vendor/statamic/cms/src/Updater/Updater.php",
    "line": 40,
    "trace": [
        {
         "file": "/home1/MySite/public_html/vendor/statamic/cms/src/Http/Controllers/CP/Updater/UpdateProductController.php",
            "line": 70,
            "function": "install",
            "class": "Statamic\\Updater\\Updater",
            "type": "->"
        },
        {
            "function": "install",
            "class": "Statamic\\Http\\Controllers\\CP\\Updater\\UpdateProductController",
            "type": "->"
        },
        etc. etc.

And when I use Putty to establish an SSH connection and run 'composer update', then I see this message:

Parse error: syntax error, unexpected '?' in /home1/MySite/public_html/vendor/pixelfear/composer-dist-plugin/src/Plugin.php on line 62

Any thoughts on what's going on here?

Thanks! --Ron

>>>>>>> Unanswered <<<<<<<
5 Replies
2 Followers